Area calculation configuration admin API Resource

WS for setting configuration (relations between class fields and layers) required to calculation of area *

GET /admin/areacalc/json

Get list of relations between layers and class fields

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with list of relations

Example of response:

{"list":[{"classId":10, "classLabel":"class label", "className":"class name", "fieldName":"field name", "layerName":"layer name", "layerId":1}]}

POST /admin/areacalc/recalculate

Calculate area for all object's

Try it out!

Response Body
media type data type description
application/json ModifySubtreeProcessStateTO (JSON) JSON Response with report about object (was it updated or not)

POST /admin/areacalc/add/json

Add relation between layer and class field

Example of request:

{"classId":10, "fieldName":"field name", "layerId":1}

Try it out!

Request Body
media type data type
application/json HdcFieldLayerRelationTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response indicating where operation was successfully or not

POST /admin/areacalc/remove/json

Remove relation between layer and class field

Example of request:

{"classId":10, "fieldName":"field name", "layerName":"layer name"}

Try it out!

Request Body
media type data type
application/json HdcFieldLayerRelationTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response indicating where operation was successfully or not